pcl::PointXYZLNormal Struct Reference
Module common

A point structure representing Euclidean xyz coordinates, a label, together with normal coordinates and the surface curvature estimate. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::PointXYZLNormal:

## Public Member Functions

| PointXYZLNormal (const _PointXYZLNormal &p)
| PointXYZLNormal (std::uint32_t _label=0)
| PointXYZLNormal (float _x, float _y, float _z, std::uint32_t _label=0.f)
| PointXYZLNormal (float _x, float _y, float _z, std::uint32_t _label, float n_x, float n_y, float n_z, float _curvature=0.f)

## Friends

std::ostream & | operator<< (std::ostream &os, const PointXYZLNormal &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_PointXYZLNormal
| PCL_ADD_POINT4D
| PCL_ADD_NORMAL4D
union {
struct {
std::uint32_t label
float curvature
} |
float data_c [4]
}; |

## Detailed Description

A point structure representing Euclidean xyz coordinates, a label, together with normal coordinates and the surface curvature estimate.

Definition at line 1153 of file point_types.hpp.

## Constructor & Destructor Documentation

## PointXYZLNormal() [1/4]

pcl::PointXYZLNormal::PointXYZLNormal | ( | const _PointXYZLNormal & | p | ) |

inline

Definition at line 1155 of file point_types.hpp.

References pcl::_PointXYZLNormal::curvature, and pcl::_PointXYZLNormal::label.

## PointXYZLNormal() [2/4]

pcl::PointXYZLNormal::PointXYZLNormal | ( | std::uint32_t | _label = `0` | ) |

inline

Definition at line 1163 of file point_types.hpp.

## PointXYZLNormal() [3/4]

pcl::PointXYZLNormal::PointXYZLNormal | ( | float | _x,
|  | float | _y,
|  | float | _z,
|  | std::uint32_t | _label = `0.f`
| ) |  |

inline

Definition at line 1165 of file point_types.hpp.

## PointXYZLNormal() [4/4]

pcl::PointXYZLNormal::PointXYZLNormal | ( | float | _x,
|  | float | _y,
|  | float | _z,
|  | std::uint32_t | _label,
|  | float | n_x,
|  | float | n_y,
|  | float | n_z,
|  | float | _curvature = `0.f`
| ) |  |

inline

Definition at line 1168 of file point_types.hpp.

References pcl::_PointXYZLNormal::curvature, and pcl::_PointXYZLNormal::label.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PointXYZLNormal & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp